Bug 427691 - Installation of Alliance VLSI CAD System causes execution of 'csh/tcsh' profile files to exit with error
Installation of Alliance VLSI CAD System causes execution of 'csh/tcsh' profi...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alliance (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 13:39 EST by Thom
Modified: 2008-03-21 08:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 08:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom 2008-01-06 13:39:09 EST
Description of problem:

Installation of Alliance VLSI CAD System causes execution of 'csh/tcsh' profile
files to exit with error.   Code in '/etc/profile.d/alc_env.csh' (line 73)
assumes $MANPATH is previously defined, causing an exit with error: 

  "MANPATH: Undefined variable."

This prevents further execution of chained profile scripts, including the user's
'.cshrc/.tcshrc' file.


Version-Release number of selected component (if applicable):

alliance - 5.0-10.20070718snap.fc8

How reproducible:

Consistently reproducible.

Steps to Reproduce:
1. Install RPM 'alliance-5.0-10.20070718snap.fc8' on the target system
2. Login (local or remote) to the target with 'csh/tcsh' shell
3. 
  

Actual results:

Executing login profile scripts for 'csh/tcsh' shells exits within
'/etc/profile.d/alc_env.csh' at line 73 with error: 

  "MANPATH: Undefined variable."


Expected results:


Additional info:

Removing the Alliance CAD package, or checking for initialized 'MANPATH' within
'/etc/profile.d/alc_env.csh' fixes the problem.
Comment 1 Chitlesh GOORAH 2008-02-10 05:05:20 EST
Would you mind tell me how you've check for initialized 'MANPATH' or your
proposed solution ?
I tried to reproduce the error, but in vain.
Comment 2 Chitlesh GOORAH 2008-03-21 08:48:15 EDT
I'm closing this bug since, there's no response from reporter.

If you can give me more information, don't hesitate to jot it down here and
reopened this bug.

Note You need to log in before you can comment on or make changes to this bug.